    body {
            font-family: sans-serif;
            font-size: 16px;
            font-size: 1rem;
            line-height: 22px;
            line-height: 1.375rem;

            font-weight: 400;
            background-color: black;
            color: white;
            margin: 0;
            padding: 0;
        }

        p {
            margin: 0 0 20px 0
        }

        a {
            color: #fff;
            text-decoration: none;
            background-color: transparent;
            -webkit-text-decoration-skip: objects
        }

        a:active,
        a:hover {
            color: #999;
            outline-width: 0;
            text-decoration: none
        }

        h1,
        h2,
        h3,
        h4,
        h5,
        h6 {
            font-family: sans-serif;
            margin: 0
        }

        .fs-1,
        h1 {
            font-size: 32px;
            font-size: 2rem;
            line-height: 38px;
            line-height: 2.375rem
        }

        .fs-2,
        h2 {
            font-size: 26px;
            font-size: 1.625rem;
            line-height: 32px;
            line-height: 2rem
        }

        .fs-3,
        h3 {
            font-size: 22px;
            font-size: 1.375rem;
            line-height: 28px;
            line-height: 1.75rem
        }

        .fs-4,
        h4 {
            font-size: 18px;
            font-size: 1.125rem;
            line-height: 24px;
            line-height: 1.5rem
        }

        .fs-5,
        h5 {
            font-size: 16px;
            font-size: 1rem;
            line-height: 22px;
            line-height: 1.375rem
        }

        .fs-6,
        h6 {
            font-size: 14px;
            font-size: .875rem;
            line-height: 20px;
            line-height: 1.25rem
        }

        h1 {
            margin-bottom: .5em;
            color: #000;
            font-weight: 700
        }

        h2 {
            margin-bottom: .2em;
            color: #000;
            font-weight: 700
        }

        h3 {
            margin-bottom: .2em;
            color: #000;
            font-weight: 700
        }

        h4 {
            margin-bottom: .2em;
            color: #000;
            font-weight: 700
        }

        h5 {
            margin-bottom: .1em;
            color: #000;
            font-weight: 700
        }

        h6 {
            margin-bottom: .1em;
            color: #000;
            font-weight: 700
        }

        .strong,
        b,
        strong {
            font-weight: 700
        }

        .em,
        em {
            font-style: italic
        }

        .abbr[title],
        abbr[title] {
            border-bottom: none;
            text-decoration: underline;
            -webkit-text-decoration: underline dotted;
            text-decoration: underline dotted
        }

        dfn {
            font-style: italic
        }

        .small,
        small {
            font-size: 13px;
            font-size: .8125rem;
            line-height: 16px;
            line-height: 1rem
        }

        .mark,
        mark {
            background-color: #ff0;
            color: #000
        }

        .sub,
        .sup,
        sub,
        sup {
            font-size: 75%;
            line-height: 0;
            position: relative;
            vertical-align: baseline
        }

        .sub,
        sub {
            bottom: -.25em
        }

        .sup,
        sup {
            top: -.5em
        }

        .del,
        del {
            text-decoration: line-through
        }

        figure {
            margin: 1em 40px
        }

        .hr,
        hr {
            -webkit-box-sizing: content-box;
            box-sizing: content-box;
            height: 1px;
            background: #eee;
            border: 0;
            margin-top: 20px;
            margin-bottom: 20px
        }

        ol,
        ul {
            margin: 20px 0;
            padding: 0 0 0 40px
        }

        dl:after,
        dl:before {
            content: " ";
            display: table
        }

        dl:after {
            clear: both
        }

        dl dt {
            float: left;
            width: 25%;
            display: block;
            font-weight: 400
        }

        dl dd {
            overflow: hidden;
            display: block
        }

        .blockquote,
        blockquote {
            font-family: sans-serif;
            font-weight: 400;
            font-style: italic;
            margin: 20px 0
        }

        .blockquote p,
        blockquote p {
            font-size: 22px;
            font-size: 1.375rem;
            line-height: 28px;
            line-height: 1.75rem;
            margin-bottom: 20px
        }

        .blockquote cite,
        blockquote cite {
            font-size: 13px;
            font-size: .8125rem;
            line-height: 19px;
            line-height: 1.1875rem;
            font-weight: 700;
            font-style: normal
        }

        caption {
            font-size: inherit;
            line-height: normal;
            font-weight: 700;
            text-align: left;
            padding: 10px;
            border-bottom: 1px solid #d7d7d7
        }

        table {
            font-size: 14px;
            font-size: 1.575rem;
            border-collapse: collapse;
            border-spacing: 0;
            width: 100%;
            margin: 0;
            text-align: left
        }

        table tbody td,
        table tbody th,
        table tfoot td,
        table tfoot th,
        table thead td,
        table thead th {
            color: #aaaaaa;
            padding: 10px;
            border-bottom: 1px solid #e9e9e9
        }

        code,
        kbd,
        pre,
        samp {
            font-size: 13px;
            font-size: .8125rem;
            line-height: 18px;
            line-height: 1.125rem;
            word-wrap: break-word;
            font-family: monospace, monospace;
            color: #000;
            background-color: transparent;
            font-weight: 400;
            padding: 0;
            white-space: pre-wrap
        }

        pre {
            padding: 10px;
            overflow: auto;
            border: 1px solid #d7d7d7
        }

        fieldset {
            border: 1px solid silver;
            margin: 0 2px;
            padding: .35em .625em .75em
        }

        legend {
            -webkit-box-sizing: border-box;
            box-sizing: border-box;
            color: inherit;
            display: table;
            max-width: 100%;
            padding: 0;
            white-space: normal
        }

        button,
        input,
        label,
        optgroup,
        select,
        textarea {
            color: #000;
            font: inherit;
            margin: 0;
            border-radius: 0
        }

        [type=date],
        [type=email],
        [type=number],
        [type=password],
        [type=tel],
        [type=text] {
            height: 36px;
            padding: 10px;
            background-color: #fff;
            border: 1px solid #ccc;
            -webkit-appearance: none;
            -moz-appearance: textfield;
            border-radius: 0
        }

        [type=date]:focus,
        [type=email]:focus,
        [type=number]:focus,
        [type=password]:focus,
        [type=tel]:focus,
        [type=text]:focus {
            background-color: #fff;
            border-color: #f7c723;
            outline: 0
        }

        [type=number]::-webkit-inner-spin-button,
        [type=number]::-webkit-outer-spin-button {
            height: auto
        }

        [type=date]::-webkit-inner-spin-button {
            display: none;
            -webkit-appearance: none
        }

        [type=checkbox],
        [type=radio] {
            -webkit-box-sizing: border-box;
            box-sizing: border-box;
            padding: 0
        }

        [type=number]::-webkit-inner-spin-button,
        [type=number]::-webkit-outer-spin-button {
            height: auto
        }

        [type=search] {
            -webkit-appearance: textfield;
            outline-offset: -2px
        }

        [type=search]::-webkit-search-cancel-button,
        [type=search]::-webkit-search-decoration {
            -webkit-appearance: none
        }

        textarea {
            padding: 10px;
            background-color: #fff;
            border: 1px solid #ccc;
            overflow: auto
        }

        textarea:focus {
            background-color: #fff;
            border-color: #f7c723;
            outline: 0
        }

        select {
            text-transform: none;
            height: 36px;
            padding: 0 10px;
            background-color: #fff;
            border: 1px solid #ccc
        }

        select:focus {
            background-color: #fff;
            border-color: #f7c723;
            outline: 0
        }

        optgroup {
            font-weight: 700
        }

        button {
            border-radius: 0;
            overflow: visible;
            text-transform: none;
            cursor: pointer
        }

        [type=reset],
        [type=submit],
        button,
        html [type=button] {
            -webkit-appearance: button;
            border-radius: 0
        }

        [type=button]::-moz-focus-inner,
        [type=reset]::-moz-focus-inner,
        [type=submit]::-moz-focus-inner,
        button::-moz-focus-inner {
            border-style: none;
            padding: 0
        }

        [type=button]:-moz-focusring,
        [type=reset]:-moz-focusring,
        [type=submit]:-moz-focusring,
        button:-moz-focusring {
            outline: 1px dotted ButtonText
        }

        button[disabled],
        html input[disabled] {
            cursor: not-allowed
        }

        input::-webkit-input-placeholder {
            color: #999
        }

        input:-moz-placeholder {
            color: #999
        }

        input::-moz-placeholder {
            color: #999
        }

        input:-ms-input-placeholder {
            color: #999
        }

        .button {
            cursor: pointer;
            border: 1px solid #d7d7d7;
            background-color: #f3f3f3;
            line-height: normal;
            padding: 10px 20px;
            text-decoration: none;
            color: #363636;
            display: inline-block;
            -webkit-transition: all .3s;
            transition: all .3s
            margin: 0 auto; /* 水平居中 */
        }

        .button:active,
        .button:hover {
            text-decoration: none
        }

        .button:hover {
            background: #f9f9f9
        }

        .button-link {
            color: #000;
            text-decoration: underline;
            border: 0;
            background: 0 0;
            padding: 0
        }

        .button-link:hover {
            text-decoration: none
        }

        .button-link:active {
            outline: 0
        }

        .clear:after,
        .clear:before {
            content: " ";
            display: table
        }

        .clear:after {
            clear: both
        }

        .row:after,
        .row:before {
            content: "";
            display: table
        }

        .row:after {
            clear: both
        }

        .row {
            position: relative;
            margin-left: -15px;
            margin-right: -15px
        }



  /* 浮动窗口的样式 */
.floatingWindow {
    position: fixed;
    top: 50px;
    right: 20px;
    width: 99%;
    height: 780px;
    background-color: white;
    border-radius: 15px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    z-index: 1000;
    display: none; /* 默认隐藏 */
    padding: 3px;
    box-sizing:border-box;
}



/* 浮动窗口的标题栏 */
.floatingWindowHeader {
    background-color: #444;
    color: white;
    padding: 10px;
    cursor: move;
    font-weight: bold;
    display: flex;
    justify-content: flex-start;  /* 默认排列方式，确保按钮靠左 */
    align-items: center;  /* 确保按钮垂直居中 */
    border-radius: 10px 10px 0 0;
    position: relative; /* 确保子元素可以使用绝对定位 */
}

/* 关闭按钮 */
.closeButton {
    color: red;
    cursor: pointer;
    font-size: 24px;
    font-weight: bold;
    padding: 5px 10px;
    border-radius: 50%;
    transition: background-color 0.3s, transform 0.2s ease;
}

.closeButton:hover {
    background-color: rgba(255, 0, 0, 0.1);
    transform: scale(1.2);
}

/* 最大化按钮 */
.maximizeButton {
    color: white;
    cursor: pointer;
    font-size: 19px;
    padding: 5px 10px;
    font-weight: bold;
    border-radius: 50%;
    transition: background-color 0.3s, transform 0.2s ease;
    position: absolute;
    right: 70px; /* 将最大化按钮放置在关闭按钮的左侧 */

}

.maximizeButton:hover {
    background-color: rgba(255, 255, 255, 0.2);
    transform: scale(1.1);
}

/* 关闭按钮的位置 */
.closeButton {
    position: absolute;
    right: 20px; /* 关闭按钮的右边距 */
}


/* 内嵌框架 */
.iframeContainer {
    width: 100%;
    height: calc(100% - 40px);
    position: relative;
}

/* iframe */
iframe {
    width: 100%;
    height: 100%;
    border: none;
    border-radius: 0 0 15px 15px;
}

/* Loading动画 */
.loading {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 24px;
    color: #444;
    font-weight: bold;
}

/* 标题文字样式 */
.windowTitleText {
    color: white;
    text-decoration: none;
    font-size: 150%;
    cursor: pointer;
    font-weight: bold;
}

/* 标题文字 hover 样式 */
.windowTitleText:hover {
    color: #dddddd;
}

        
        
        
        
        
        
        .top-buttons a:hover {
            background-color: #555;
        }

        /* 设置容器的样式 */
        .container {
            width: 100%;
            max-width: 1440px;
            /* 设置最大宽度为 1650px */
            padding: 20px;
            margin: 0 auto;
            /* 使容器居中 */
        }

        /* 数据表格样式 */
        .data-table {
            width: 100%;
            border-collapse: collapse;
            margin-bottom: 20px;
            border-radius: 0px;
             overflow: hidden;
        }

        .data-table th,
        .data-table td {
            padding: 10px;
            text-align: left;
            border: 1px solid #444;
        }

        .data-table th {
            background-color: #333;
        }

        .data-table td {
            background-color: #222;
        }

        /* 每行的样式 */
        .row {
            display: flex;
            align-items: center;
            height: 60px;
            margin-bottom: 10px;
        }

        .row div {
            flex: 1;
            padding: 5px;
            text-align: center;
        }

        /* 折线图容器的样式 */
        .chart-container {
            width: 100px;
            /* 设置图表宽度 */
            height: 50px;
            /* 设置图表高度 */
            margin-left: 10px;
            /* 给图表留出一点间距 */
        }

        /* 图标样式 */
        .icon {
            width: 25px;
            height: 25px;
        }

        /* 涨跌幅的颜色 */
        .positive {
            color: green;
        }

        .negative {
            color: red;
        }



/* 设置收藏星星符号的字体大小 */
.star-symbol {
    font-size: 24px;  /* 增大字体 */
    cursor: pointer;  /* 鼠标指针变为点击手形 */
    transition: transform 0.2s ease;  /* 加入平滑的过渡效果 */
}

/* 鼠标悬浮时显示提示文本 */
.star-symbol:hover {
    transform: scale(1.2);  /* 放大效果 */
}




        /* 分页按钮样式 */
        .pagination {
            text-align: center;
            margin-top: 20px;
        }

        .pagination button {
            background-color: #333;
            color: white;
            padding: 10px 20px;
            margin: 0 5px;
            border: none;
            cursor: pointer;
        }

        .pagination button.disabled {
            background-color: #444;
            cursor: not-allowed;
        }
        
        
        
        /* 设置分页容器样式 ---*/
        .pagination-container {
            display: flex;
            justify-content: center;
            margin-top: 20px;
            font-size: 19px;
        }
        /* 设置页码样式 */
        .pagination-container a, .pagination-container button {
            margin: 0 5px;
            padding: 10px;
            background-color: #333333  /* 设置背景颜色为黑色 */
            color: white;
            border: none;
            cursor: pointer;
        }
        /* 设置当前页码的背景色为深灰色 */
        .pagination-container a.active {
            background-color: #ff0000;  /* 深灰色背景 */
        }
        /* 省略号的样式 */
        .ellipsis {
            padding: 10px;
            color: #666;
        }
        /* 设置分页按钮禁用状态的样式 */
        .pagination-container button:disabled {
            background-color: #666666;
            cursor: not-allowed;
        }
        /* 设置分页容器样式  end */
        
        
    
        /* 设置版权文字的样式 */
       .copyright {
            text-align: center;  /* 水平居中 */
            font-size: 14px;      /* 字体大小 */
            color: white;         /* 白色字体 */
            padding: 20px 0;      /* 上下内边距 */
            background-color: black;  /* 黑色背景 */
            margin-top: auto;     /* 自动填充剩余空间，确保放在底部 */
        }
        
    /* 顶部LOGO */
        .head {

            height: 70px;
            padding: 15px;
       
        }

        .logo {
            width: 300px;
            float: left;
            line-height: 70px;
             font-size: 30px;
             font-weight:bold;
        }

        .logo img {
            width: 70px;
             margin-right: 20px;
        }

        .top_nav {
            list-style: none;
            float: right;
        }

        .top_nav li {
            float: left;
            list-style: none;
            margin-left: 15px;
        }
    /* 顶部LOGO */